class CarBrands
	require 'yaml'


	def self.models_of(brand)
		CarBrands.brands[brand.to_s.upcase]
	end

	def self.brands
		YAML.load_file(File.join(File.dirname(__FILE__),"carbrands/brands.yml"))
	end

	def self.popular_brands
		unpop=%w{ACURA ALPINA ARO ASIA BRILLIANCE CATERHAM CHANGFENG COGGIOLA CUMMINS DADI DAIHATSU DERWAYS DEUTZ DONGFENG DONINVEST DONKERVOORT EAGLE FAW GEELY GEO HAFEI HUANGHAI IKARUS JAC KOENIGSEGG KUBOTA LANDWIND LEYLAND LEYLAND-DAF LIAZ LIFAN LOTUS MACK MAGIRUS-DEUTZ MAHINDRA MARUTI METROCAB MG MICROCAR MITSUOKA MORGAN MULTICAR OLDSMOBILE PAGANI PERKINS PLYMOUTH PROTON PUCH SALEEN SATURN SCION SHUANGHUAN SPYKER TIANMA TIANYE TVR TATRA TRABANT VECTOR}
		unpop+=["WARTBURG", "WIESMANN", "XIN KAI", "ZX", "ВАЗ", "ГАЗ", "ЗИЛ", "КАМАЗ", "СеАЗ", "УАЗ", "GREAT WALL", "IRAN KHODRO"]
		self.brands.delete_if{|k,v| unpop.include? k}
	end

	def self.detect_brand(str)
		YAML.load_file(File.join(File.dirname(__FILE__),"carbrands/detectors.yml")).each do |brand,detectors|
			detectors.each do |detector|
				return brand if str.include? detector
			end
		end
	end

end